#
# spec file for package yast2-config-runlevel (Version 2.5.17)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-lib-wizard yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-lib-wizard yast2-testsuite ycpdoc

Name:         yast2-config-runlevel
Version:      2.5.17
Release:      29
License:      YaST2
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-config-runlevel-2.5.17.tar.bz2
Requires:     yast2 yast2-trans-runlevel yast2-lib-wizard yast2-lib-sequencer
BuildArchitectures:     noarch
Summary:      YaST2 runlevel editor

%description
Allows changing run levels for services.

SuSE series: yast

%prep
%setup -n yast2-config-runlevel-2.5.17

%build
./configure
make

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
Y2DIR="$RPM_BUILD_ROOT/usr/lib/YaST2" make check

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/lib/YaST2/menuentries
%dir /usr/lib/YaST2/servers_non_y2
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/menuentries/menuentry_runlevel.y2cc
/usr/lib/YaST2/servers_non_y2/ag_initscripts
/usr/lib/YaST2/scrconf/initscripts.scr
/usr/lib/YaST2/clients/runlevel.ycp
/usr/lib/YaST2/clients/runlevel_auto.ycp
/usr/lib/YaST2/clients/runlevel_write.ycp
/usr/lib/YaST2/include/runlevel
/usr/lib/YaST2/modules/Runlevel.ycp
%doc /usr/share/doc/packages/yast2-config-runlevel

%changelog -n yast2-config-runlevel
* Fri Apr 12 2002 - pblahos@suse.cz
- When service is disable/enabled in particular runlevels,
  "insserv -r svc" has to be called before
  "insserv svc=start=X,Y,Z" because parameter start adds service
  to listed runleves but doesn't remove from the others.(Bug #15694)
* Thu Mar 21 2002 - pblahos@suse.cz
- Check for collision of inetd and xinetd didn't work. (Bug #15266)
* Wed Mar 13 2002 - pblahos@suse.cz
- Improved spaces between checkboxes in details dialog. (Bug #14942)
* Tue Mar 12 2002 - pblahos@suse.cz
- Added warning when user selects both inetd and xinetd. (Bug #14840)
* Thu Mar 07 2002 - pblahos@suse.cz
- Flickering in ncurses mode was fixed by removing ReplaceWidget
  call (Bug #14534)
* Wed Mar 06 2002 - pblahos@suse.cz
- _auto module returns $[] if there is no change (Back or Abort
  pressed) (Bug #14526)
* Wed Feb 13 2002 - pblahos@suse.cz
- Fixed typo (Runlevels 0 - S --> B - S)
* Fri Feb 01 2002 - pblahos@suse.cz
- portmap is not enabled for nfsserver only but for any service
  that requires it (Bug #12985)
- After service is started/stopped/refreshed, its status is
  correctly displayed now. (Bug #12964)
* Thu Jan 24 2002 - pblahos@suse.cz
- Added runlevel B (which selection as a default runlevel is
  forbiden by UI)
- menuentry...y2cc goes into the package instead of menuentry....ycp
* Tue Dec 11 2001 - pblahos@suse.cz
- Added dialog for adding services in _auto mode.
* Thu Dec 06 2001 - pblahos@suse.cz
- Added modules _auto and _write because of autoinstallation.
- When nfsserver is enabled but portmap not, enables portmap too.
* Mon Dec 03 2001 - pblahos@suse.cz
- Uses y2autoconf and create-spec
* Thu Nov 29 2001 - pblahos@suse.cz
- New function ServiceEnabled.
- Added 3rd parameter to select to satisfy new libycp.
* Tue Nov 27 2001 - pblahos@suse.cz
- Removed START_ variables.
- Migrated to module.
* Fri Nov 16 2001 - pblahos@suse.cz
- Uses three parameters for lookups.
* Wed Nov 07 2001 - pblahos@suse.cz
- Fixed duplicate keyboard shortcut: &Start/Stop/Refresh,
  Runlevel &S (Bug 12196)
* Tue Nov 06 2001 - pblahos@suse.cz
- If service start/stop/status was unsuccessful (!=0), shows
  textual description of exit value.
- If service start/stop was unsuccessful, it shows its state as
  not running.
* Tue Oct 23 2001 - pblahos@suse.cz
- Uses new module Progress.
* Tue Oct 16 2001 - pblahos@suse.cz
- Migrated to y2devtools
* Thu Sep 20 2001 - gs@suse.de
- new icon for YaST2 Control Center
* Mon Sep 17 2001 - pblahos@suse.cz
- When there are no changes, pressing Finish, causes exit without
  word. (Bug 10677)
* Mon Sep 10 2001 - lnussel@suse.de
- moved icon in Control Center from Group "Misc" to "System"
  (Bug #10256)
* Mon Sep 10 2001 - pblahos@suse.cz
- skips boot.orig
* Fri Sep 07 2001 - pblahos@suse.cz
- Use insserv -r service to remove service from all runlevels.
- Sets proper START_ variable to "no" when disabling service.
  (Bug 10209)
* Thu Sep 06 2001 - pblahos@suse.cz
- runlevel_adjust implements function `ask, that says whether
  service is disabled or enabled.
- .init.script.comment agent fixed. (Bug 10209)
* Thu Aug 30 2001 - pblahos@suse.cz
- libycp-devel added to needforbuild. Needed for testsuite.
* Tue Aug 21 2001 - pblahos@suse.cz
- Some texts fixed.
- START_CUPS is yes by default
- fbset does not use START_FBSET
- fixed typo in init script agent
- comment to runlevel_adjust improved
- now there is normal cursor when service status is beeing read
- start/stop service works
* Fri Aug 17 2001 - pblahos@suse.cz
- bunch on new test cases
* Mon Aug 13 2001 - pblahos@suse.cz
- Replaced spaces by tabs.
- Replaced: SCR (` by SCR:: and UI (` by UI::
- hotplug replaced usbmgr in starts.ycp lists.
* Wed Aug 08 2001 - pblahos@suse.cz
- runlevel_adjust: new module for adjusting service startup.
* Tue Aug 07 2001 - pblahos@suse.cz
- First test cases.
- Fixed: ag_initscripts agent did not work if there were
  mis-formated init scripts.
* Mon Aug 06 2001 - pblahos@suse.cz
- Add documentation to package.
- Most of the system interaction moved to agent.
* Fri Aug 03 2001 - pblahos@suse.cz
- Completed in-line comments.
- [Abort now] checks if there are changes before asking.
- Faster reading of init script comments and runlevel contents.
* Thu Aug 02 2001 - pblahos@suse.cz
- Improvements to UI and functionality.
- Uses new insserv to save changes to runlevels.
* Mon Jul 30 2001 - pblahos@suse.cz
- Saves default runlevel.
- Slightly faster reading of service descriptions.
- strings for popup with differences to current state added.
* Fri Jul 27 2001 - pblahos@suse.cz
- user interface finalized
* Mon Jul 23 2001 - pblahos@suse.cz
- initial version
